/*------------------------------------------------------------------+
|                                                                   |
|   datstmp.r -- resource file for datstmp.mc                       |
|                                                                   |
+------------------------------------------------------------------*/
#include <dlogbox.h>     
#include <dlogids.h>     

#include "datstmp.h"
#include "datstcmd.h"
    
/*----------------------------------------------------------------------+
|																		|
|   Pref  Dialog														|
|																		|
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_prefs =
	{
	DIALOGATTR_DEFAULT | DIALOGATTR_NORIGHTICONS,
	25*XC, 16.75*YC,
	NOHELP, MHELP, NOHOOK, NOPARENTID,
	"Date Stamp Prefs",
{
{{XC, YC, 23*XC, GENY(12.5)}, GroupBox, 0, ON, 0, "Text Settings", ""},
{{9*XC, GENY(2), 5*XC, 0}, Text, TEXTID_maLevel,  ON, 0, "", ""},
{{9*XC, GENY(3), 5*XC, 0}, Text, TEXTID_maWeight, ON, 0, "", ""},
{{9*XC, GENY(4), 5*XC, 0}, Text, TEXTID_maColor,  ON, 0, "", ""},
{{9*XC, GENY(5), 5*XC, 0}, Text, TEXTID_maStyle,  ON, 0, "", ""},
{{9*XC, GENY(6), 10*XC, 0}, Text, TEXTID_maTxtHeight, ON, 0, "", ""},
{{9*XC, GENY(7), 10*XC, 0}, Text, TEXTID_maTxtWidth, ON, 0, "", ""},
{{9*XC, GENY(8), 10*XC, 0}, Text, TEXTID_lineSpace,   ON, 0, "", ""},
{{9*XC, GENY(9), 10*XC, 0}, Text, TEXTID_textAngle,   ON, 0, "", ""},
{{9*XC, GENY(10), 5*XC, 0}, Text, TEXTID_maTxtFont,   ON, 0, "", ""},
{{9*XC,GENY(11),14*XC,0}, OptionButton, OPTIONBUTTONID_maTxtJust, ON, 0,"",""},
{{9*XC,GENY(12),14*XC,0}, ToggleButton, TOGGLEID_dsPrefs, ON, 0,"",""},
}
	};

DItem_ToggleButtonRsc TOGGLEID_dsPrefs =

{

  NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG, 0x1,

  NOINVERT, "Use Prefs", "datstmpGlobals.usePrefs"

};

DItem_TextRsc TEXTID_maLevel =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	10, "%ld", "%ld", "", "", NOMASK, NOCONCAT,
	"Level:",
	"datstmpGlobals.maLevel"
	};

DItem_TextRsc TEXTID_maWeight =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	10, "%ld", "%ld", "", "", NOMASK, NOCONCAT,
	"Weight:",
	"datstmpGlobals.maWeight"
	};

DItem_TextRsc TEXTID_maColor =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	10, "%ld", "%ld", "", "", NOMASK, NOCONCAT,
	"Color:",
	"datstmpGlobals.maColor"
	};

DItem_TextRsc TEXTID_maStyle =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	10, "%ld", "%ld", "", "", NOMASK, NOCONCAT,
	"Style:",
	"datstmpGlobals.maStyle"
	};

DItem_TextRsc TEXTID_maTxtHeight =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	64, "%w", "%w", "", "", NOMASK, NOCONCAT,
	"Height:",
	"datstmpGlobals.maHeight"
	};

DItem_TextRsc TEXTID_maTxtWidth =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	64, "%w", "%w", "", "", NOMASK, NOCONCAT,
	"Width:",
	"datstmpGlobals.maWidth"
	};


DItem_TextRsc TEXTID_lineSpace =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	64, "%w", "%w", "", "", NOMASK, NOCONCAT,
	"Space:",
	"datstmpGlobals.lineSpace"
	};

DItem_TextRsc TEXTID_maTxtFont =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
	10, "%ld", "%ld", "", "", NOMASK, NOCONCAT,
	"Font:",
	"datstmpGlobals.maFont"
	};

DItem_TextRsc TEXTID_textAngle =
	{
	NOCMD, LCMD, NOSYNONYM, NOHELP, LHELPCMD, HOOKITEMID_textAngle, NOARG,
	11, "%s", "%s", "", "", NOMASK, TEXT_NOCONCAT,
	"Angle:",
	"datstmpGlobals.textAngle"
	};

DItem_OptionButtonRsc OPTIONBUTTONID_maTxtJust = 
   {
   NOSYNONYM, NOHELP, MHELP, NOHOOK, NOARG,
   "",
   "datstmpGlobals.maTxtJust",
       {
       {NOTYPE, NOICON, NOCMD, LCMD, 0, NOMASK, ON,  "Left Top"},
       {NOTYPE, NOICON, NOCMD, LCMD, 1, NOMASK, ON,  "Left Center"},
       {NOTYPE, NOICON, NOCMD, LCMD, 2, NOMASK, ON,  "Left Bottom"},
	   {NOTYPE, NOICON, NOCMD, LCMD, 3, NOMASK, ON,  "Center Top"},
	   {NOTYPE, NOICON, NOCMD, LCMD, 4, NOMASK, ON,  "Center Center"},
	   {NOTYPE, NOICON, NOCMD, LCMD, 5, NOMASK, ON,  "Center Bottom"},
	   {NOTYPE, NOICON, NOCMD, LCMD, 6, NOMASK, ON,  "Right Top"},
	   {NOTYPE, NOICON, NOCMD, LCMD, 7, NOMASK, ON,  "Right Center"},
	   {NOTYPE, NOICON, NOCMD, LCMD, 8, NOMASK, ON,  "Right Bottom"},
       }
    };



